Saved = {
    iRecords : [],
    refreshRecords : function(){
        var tStore = Ext.getStore("SaveStore");
        var tRecords = tStore.getData();
        tRecords = Ext.Array.sort(tRecords.items, function(aRecA,aRecB){
            if (Ext.isEmpty(aRecA) || Ext.isEmpty(aRecB)) return 0;
            return aRecB.data.time - aRecA.data.time;
        });
        
        this.iRecords = [];
        var tRecord = {};
        for (var i = 0; i < tRecords.length; i++){
            if (Ext.isEmpty(tRecords[i])) continue;
            
            tRecords[i].data.feed.loaded = false;
            tRecord = {};
            tRecord.time = tRecords[i].data.time;
            tRecord.region = tRecords[i].data.region;
            tRecord.feed = tRecords[i].data.feed;
            this.iRecords.push(tRecord);
        }        
    },
    
    // 更新 Saved Section Feeds
    refreshSavedFeeds : function(){   
        this.refreshRecords();
        
        // 建立 Section Feeds
        var tSaveFeeds = [];
        for (var i = 0; i < this.iRecords.length; i++){
            if (Ext.isEmpty(this.iRecords[i])) continue;
        
            tSaveFeeds.push(this.iRecords[i].feed);
        }
        
        APP.iSectionFeeds[SECTION_KEY_SAVED] = tSaveFeeds;        
    },   
    
    // 新增 Feed, 並儲存
    addFeed : function(aFeed){
        var tRecord = {};
        tRecord.time = Date.parse(aFeed.pubDate);
        tRecord.feed = aFeed;
        tRecord.region = iClientSetting.region;
        this.iRecords.push(tRecord);
        
        
        //var tStore = Ext.getStore("SaveStore");
        //tStore.add(tRecord);
        //tStore.sync();        
    },
    
    // 移除全部的 Saved Feeds
    removeAll : function(){
        var tStore = Ext.getStore("SaveStore");
        tStore.removeAll();
        //store.sync();        
    },    
    
    // 指定的 Saved Feed   
    removeFeed : function(aFeed){
        for (var i = 0; i < this.iRecords.length; i++){
            if (this.iRecords[i].feed.guid.nxid == aFeed.guid.nxid){
                this.iRecords.splice(i,1);
                break;
            }
        }        
        
        /*
        var tStore = Ext.getStore("SaveStore");
        var tRecords = tStore.getData();
        var tFindRecords;
        
        for (var i = 0; i < tRecords.length; i++){
            if (tRecords.items[i].data.feed.guid.nxid == aFeed.guid.nxid){
                tFindRecords = tRecords.items[i];
                break;
            }
        }
        
        if (!Ext.isEmpty(tFindRecords)){
            if (tRecords.length == 1){
                tStore.removeAll();
            }
            else{
                tStore.remove(tFindRecords);
            }
            
            //tStore.sync();
        }
        */
    },
    
    // 取得 Saved Feeds 的數量
    getCount : function(){
        return this.iRecords.length;
    },
    
    relayoutSectionContainer: function(){       
        var tMainContainer = Ext.ComponentQuery.query("maincontainer")[0];
        var tSectionCarousel = tMainContainer.down("hcarousel");
        var tSections = tSectionCarousel.innerItems;
        var tActiveSC = tSectionCarousel.getActiveItem();
        if (tActiveSC.iSectionId == SECTION_KEY_SAVED){
            tActiveSC.setFeeds(APP.iSectionFeeds[SECTION_KEY_SAVED]);
        }
        else{
            for (var i = 0; i < tSections.length; i++){
                var tSC = tSections[i];
                if (tSC.iSectionId == SECTION_KEY_SAVED){                    
                    tSC.iNeedSetFeeds = true;
                    break;
                }            
            }                
        }     
    },
    
    // 是否包含 feed
    contains : function(aFeed){
        if (Ext.isEmpty(aFeed)) return false;
        var tFindRecords;
        
        for (var i = 0; i < this.iRecords.length; i++){
            if (this.iRecords[i].feed.guid.nxid == aFeed.guid.nxid){
                tFindRecords = this.iRecords[i];
                break;
            }
        }        
        
        return !Ext.isEmpty(tFindRecords);
    },
    
    sync : function(){
        var tStore = Ext.getStore("SaveStore");
        tStore.removeAll();        
        if (this.iRecords.length > 0) tStore.add(this.iRecords);
        tStore.sync();
    }
};