SummaryPageLayout = {
    i3aLayout : {
        id: "3.a",
        little: ['3.a.2','3.a.3'],        // 用於指定哪些格子用小字型
        narrow: [],							// 狹長式格子
        length: 3,                        // 表示這個Layout的格子數
        order: ['3.a.1','3.a.2','3.a.3'], // 格子由大到小的順序
        layout: 
            "<Table height=100% width=100% style='table-layout:fixed;'>" +
            "<tr height=50%>" + 
                "<td colspan='2' class='3.a.1 summaryTdBorder'></td></tr>" +        
            "<tr height=50%>" +
                "<td width=50%   class='3.a.2 summaryTdBorder'></td>" +
                "<td width=50%   class='3.a.3 summaryTdBorder'></td></tr>" +
            "</Table>"
    },
    
    i3bLayout : {
        id: "3.b",
        little: ['3.b.1','3.b.2'],
        narrow: [],
        length: 3,
        order: ['3.b.3','3.b.1','3.b.2'],
        layout: 
            "<Table height=100% width=100% style='table-layout:fixed;'>" +
            "<tr height=50%>" +
                "<td width=50%   class='3.b.1 summaryTdBorder'></td>" + 
                "<td width=50%   class='3.b.2 summaryTdBorder'></td></tr>" +
            "<tr height=50%>" +
                "<td colspan='2' class='3.b.3 summaryTdBorder'></td></tr>" +
            "</Table>"
    },
    
    i3c1Layout : {
        id: "3.c-1",
        little: ['3.c-1.2','3.c-1.3'],
        narrow: ['3.c-1.2'],
        length: 3,		
        order: ['3.c-1.1','3.c-1.3','3.c-1.2'],
        layout: 
            "<Table height=100% width=100% style='table-layout:fixed;'>" +
            "<tr height=50%>" + 
                "<td colspan='2' class='3.c-1.1 summaryTdBorder'></td></tr>" +        
            "<tr height=50%>" +
                "<td width=32%   class='3.c-1.2 summaryTdBorder'></td>" +
                "<td width=68%   class='3.c-1.3 summaryTdBorder'></td></tr>" +
            "</Table>"
    },
    
    i3c2Layout : {
        id: "3.c-2",
        little: ['3.c-2.2','3.c-2.3'],
        narrow: ['3.c-2.3'],
        length: 3,		
        order: ['3.c-2.1','3.c-2.2','3.c-2.3'],
        layout: 
            "<Table height=100% width=100% style='table-layout:fixed;'>" +
            "<tr height=50%>" + 
                "<td colspan='2' class='3.c-2.1 summaryTdBorder'></td></tr>" +        
            "<tr height=50%>" +
                "<td width=68%   class='3.c-2.2 summaryTdBorder'></td>" +
                "<td width=32%   class='3.c-2.3 summaryTdBorder'></td></tr>" +
            "</Table>"
    },
    
    i3d1Layout : {
        id: "3.d-1",
        little: ['3.d-1.1','3.d-1.2'],
        narrow: ['3.d-1.1'],
        length: 3,
        order: ['3.d-1.3','3.d-1.2','3.d-1.1'],
        layout: 
            "<Table height=100% width=100% style='table-layout:fixed;'>" +
            "<tr height=50%>" +
                "<td width=32%   class='3.d-1.1 summaryTdBorder'></td>" + 
                "<td width=68%   class='3.d-1.2 summaryTdBorder'></td></tr>" +
            "<tr height=50%>" +
                "<td colspan='2' class='3.d-1.3 summaryTdBorder'></td></tr>" +
            "</Table>"
    },
    
    i3d2Layout : {
        id: "3.d-2",
        little: ['3.d-2.1','3.d-2.2'],
        narrow: ['3.d-2.2'],
        length: 3,
        order: ['3.d-2.3','3.d-2.1','3.d-2.2'],
        layout: 
            "<Table height=100% width=100% style='table-layout:fixed;'>" +
            "<tr height=50%>" +
                "<td width=68%   class='3.d-2.1 summaryTdBorder'></td>" + 
                "<td width=32%   class='3.d-2.2 summaryTdBorder'></td></tr>" +
            "<tr height=50%>" +
                "<td colspan='2' class='3.d-2.3 summaryTdBorder'></td></tr>" +
            "</Table>"
    },
    
    i4aLayout : {
        id: "4.a",
        little: ['4.a.2','4.a.3'],
        narrow: [],
        length: 4,
        order: ['4.a.1','4.a.4','4.a.2','4.a.3'],
        layout: 
            "<Table height=100% width=100% style='table-layout:fixed;'>" +
            "<tr height=33%>" +
                "<td colspan='2' class='4.a.1 summaryTdBorder'></td></tr>" +        
            "<tr height=33%>" +
                "<td width=50%   class='4.a.2 summaryTdBorder'></td>" + 
                "<td width=50%   class='4.a.3 summaryTdBorder'></td></tr>" +
            "<tr height=34%>" +
                "<td colspan='2' class='4.a.4 summaryTdBorder'></td></tr>" +
            "</Table>"
    },
    
    i4b1Layout : {
        id: "4.b-1",
        little: ['4.b-1.1','4.b-1.2','4.b-1.3'],
        narrow: [],
        length: 4,
        order: ['4.b-1.4','4.b-1.1','4.b-1.2','4.b-1.3'],
        layout: 
            "<Table height=100% width=100% style='table-layout:fixed;'>" +
            "<tr height=33%>" +
                "<td rowspan='2' width=50% class='4.b-1.1 summaryTdBorder'></td>" +        
                "<td             width=50% class='4.b-1.2 summaryTdBorder'></td></tr>" +        
            "<tr height=33%>" +
                "<td             width=50% class='4.b-1.3 summaryTdBorder'></td></tr>" +
            "<tr height=34%>" +
                "<td colspan='2'           class='4.b-1.4 summaryTdBorder'></td></tr>" +
            "</Table>"
    },
    
    i4b2Layout : {
        id: "4.b-2",
        little: ['4.b-2.1','4.b-2.2','4.b-2.3'],
        narrow: [],
        length: 4,
        order: ['4.b-2.4','4.b-2.2','4.b-2.1','4.b-2.3'],
        layout: 
            "<Table height=100% width=100% style='table-layout:fixed;'>" +
            "<tr height=33%>" +
                "<td             width=50% class='4.b-2.1 summaryTdBorder'></td>" +        
                "<td rowspan='2' width=50% class='4.b-2.2 summaryTdBorder'></td></tr>" +        
            "<tr height=33%>" +
                "<td             width=50% class='4.b-2.3 summaryTdBorder'></td></tr>" +
            "<tr height=34%>" +
                "<td colspan='2'           class='4.b-2.4 summaryTdBorder'></td></tr>" +
            "</Table>"
    },
    
    i4c1Layout : {
        id: "4.c-1",
        little: ['4.c-1.1','4.c-1.2','4.c-1.3','4.c-1.4'],
        narrow: [],
        length: 4,
        order: ['4.c-1.1','4.c-1.3','4.c-1.2','4.c-1.4'],
        layout: 
            "<Table height=100% width=100% style='table-layout:fixed;'>" +
            "<tr height=33%>" +
                "<td rowspan='2' width=50% class='4.c-1.1 summaryTdBorder'></td>" +        
                "<td             width=50% class='4.c-1.2 summaryTdBorder'></td></tr>" +        
            "<tr height=33%>" +
                "<td rowspan='2' width=50% class='4.c-1.3 summaryTdBorder'></td></tr>" +
            "<tr height=34%>" +
                "<td             width=50% class='4.c-1.4 summaryTdBorder'></td></tr>" +
            "</Table>"
    },
    
    i4c2Layout : {
        id: "4.c-2",
        little: ['4.c-2.1','4.c-2.2','4.c-2.3','4.c-2.4'],
        narrow: [],
        length: 4,
        order: ['4.c-2.2','4.c-2.3','4.c-2.1','4.c-2.4'],
        layout: 
            "<Table height=100% width=100% style='table-layout:fixed;'>" +
            "<tr height=33%>" +
                "<td             width=50% class='4.c-2.1 summaryTdBorder'></td>" +        
                "<td rowspan='2' width=50% class='4.c-2.2 summaryTdBorder'></td></tr>" +        
            "<tr height=33%>" +
                "<td rowspan='2' width=50% class='4.c-2.3 summaryTdBorder'></td></tr>" +
            "<tr height=34%>" +
                "<td             width=50% class='4.c-2.4 summaryTdBorder'></td></tr>" +
            "</Table>"
    },
    
    i4d1Layout : {
        id: "4.d-1",
        little: ['4.d-1.2','4.d-1.3','4.d-1.4'],
        narrow: [],
        length: 4,
        order: ['4.d-1.1','4.d-1.3','4.d-1.2','4.d-1.4'],
        layout: 
            "<Table height=100% width=100% style='table-layout:fixed;'>" +
            "<tr height=33%>" +
                "<td colspan='2'           class='4.d-1.1 summaryTdBorder'></td></tr>" +        
            "<tr height=33%>" +
                "<td             width=50% class='4.d-1.2 summaryTdBorder'></td>" + 
                "<td rowspan='2' width=50% class='4.d-1.3 summaryTdBorder'></td></tr>" +
            "<tr height=34%>" +
                "<td             width=50% class='4.d-1.4 summaryTdBorder'></td></tr>" +
            "</Table>"
    },
    
    i4d2Layout : {
        id: "4.d-2",
        little: ['4.d-2.2','4.d-2.3','4.d-2.4'],
        narrow: [],
        length: 4,
        order: ['4.d-2.1','4.d-2.2','4.d-2.3','4.d-2.4'],
        layout: 
            "<Table height=100% width=100% style='table-layout:fixed;'>" +
            "<tr height=33%>" +
                "<td colspan='2'           class='4.d-2.1 summaryTdBorder'></td></tr>" +        
            "<tr height=33%>" +
                "<td rowspan='2' width=50% class='4.d-2.2 summaryTdBorder'></td>" + 
                "<td             width=50% class='4.d-2.3 summaryTdBorder'></td></tr>" +
            "<tr height=34%>" +
                "<td             width=50% class='4.d-2.4 summaryTdBorder'></td></tr>" +
            "</Table>"
    },
    iTopNewsLayout : {
        id: "3.topnews",
        little: ['3.topnews.2'],
        narrow: [],
        length: 3,
        order: ['3.topnews.1','3.topnews.3','3.topnews.2'],
        layout: 
            "<Table height=100% width=100% style='table-layout:fixed;'>" +
            "<tr height=66%>" +
                "<td width=60%   class='3.topnews.1 summaryTdBorder'></td>" + 
                "<td width=40%   class='3.topnews.2 summaryTdBorder'></td></tr>" +
            "<tr height=34%>" +
                "<td colspan='2' class='3.topnews.3 summaryTdBorder'></td></tr>" +
            "</Table>"
    }        
};

    
SummaryPageLayout.i3LayoutList = [
    SummaryPageLayout.i3aLayout, 
    SummaryPageLayout.i3bLayout, 
    SummaryPageLayout.i3c1Layout, 
    SummaryPageLayout.i3c2Layout, 
    SummaryPageLayout.i3d1Layout, 
    SummaryPageLayout.i3d2Layout
];

SummaryPageLayout.i4LayoutList = [
    SummaryPageLayout.i4aLayout, 
    SummaryPageLayout.i4b1Layout, 
    SummaryPageLayout.i4b2Layout, 
    //SummaryPageLayout.i4c1Layout, 
    //SummaryPageLayout.i4c2Layout, 
    SummaryPageLayout.i4d1Layout, 
    SummaryPageLayout.i4d2Layout
];

SummaryPageLayout.iLayoutList = [
    SummaryPageLayout.i3aLayout, 
    SummaryPageLayout.i3bLayout, 
    SummaryPageLayout.i3c1Layout, 
    SummaryPageLayout.i3c2Layout, 
    SummaryPageLayout.i3d1Layout, 
    SummaryPageLayout.i3d2Layout,
    SummaryPageLayout.i4aLayout, 
    SummaryPageLayout.i4b1Layout, 
    SummaryPageLayout.i4b2Layout, 
    //SummaryPageLayout.i4c1Layout, 
    //SummaryPageLayout.i4c2Layout, 
    SummaryPageLayout.i4d1Layout, 
    SummaryPageLayout.i4d2Layout    
];

SummaryPageLayout.random3Layout = function(){
	var aIndex = Math.floor(Math.random() * SummaryPageLayout.i3LayoutList.length);
	return SummaryPageLayout.i3LayoutList[aIndex];    
};

SummaryPageLayout.random4Layout = function(){
	var aIndex = Math.floor(Math.random() * SummaryPageLayout.i4LayoutList.length);
	return SummaryPageLayout.i4LayoutList[aIndex];    
};

SummaryPageLayout.randomLayout = function(){
	var aIndex = Math.floor(Math.random() * SummaryPageLayout.iLayoutList.length);
	return SummaryPageLayout.iLayoutList[aIndex];    
};